Subject: bug#20675: closed (Re: bug#20675: 24.3; emacsclient cannot talk to emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Oct 2019 15:34:02 +0000

Your bug report

#20675: 24.3; emacsclient cannot talk to emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20675: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20675
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20675: 24.3; emacsclient cannot talk to emacs
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Bruce Korb <[email-masked]>, [email-masked]
Date: Wed, 2 Oct 2019 17:33:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> Fine with me, thanks.

Thanks; pushed as commit 9cd3b50ca8.  I see nothing more to do here,
so I'm also closing this bug report.

Best regards,
Stefan Kangas

Subject: 24.3; emacsclient cannot talk to emacs
From: Bruce Korb <[email-masked]>
To: [email-masked]
Date: Wed, 27 May 2015 11:09:26 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

From: Bruce Korb <[email-masked]>
To: [email-masked]
Subject: 24.3; emacsclient cannot talk to emacs
--text follows this line--
This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

I have no idea what may have triggered the bug.
I am using emacsclient and emacs just fine for quite a while,
then all of a sudden:

> $ emacsclient cscope.files
> emacsclient: can't find socket; have you started the server?
> To start the server in Emacs, type "M-x server-start".
> emacsclient: No socket or alternate editor.  Please use:
>
>         --socket-name
>         --server-file      (or environment variable EMACS_SERVER_FILE)
>         --alternate-editor (or environment variable ALTERNATE_EDITOR)

so I start up another xterm running bash and everything is fine.
For a while.  Then the same thing happens.  I do *NOT* have to restart
emacs or even the server code.  I have to start another xterm.
(Re-exec-ing bash does no good.)  So, clearly, something is scrogged
in the xterm so that it cannot talk to...........

AH HA!!

The problem is that I need to redirect TMPDIR to different places for
different tasks.  So that explainer above might get expanded to include
mention of the fact that this directory:  ${TMPDIR}/emacs$(id -u)
is used for communication.  I'd have found the problem long ago.

So please consider this an RFE to the above "can't find socket" message.